package com.glxp.udidl.admin.controller.udchs;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udchs.BaseParam;
import com.glxp.udidl.admin.entity.chs.YbHcflEntity;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udchs.YbHcflService;
import com.glxp.udidl.admin.service.udchs.YbHcxxGgService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 国家医保
 */
@Api(tags = "国家医保医用耗材规格信息接口")
@RestController
@RequestMapping("/udchs/ybHcxxGg")
public class UdchsYbHcxxGgController {

    @Autowired
    private YbHcxxGgService ybHcxxGgService;

    @ApiOperation(value = "国家医保医用耗材规格信息", response = YbHcflEntity.class)
    @AuthRuleAnnotation("udchs/ybHcxxGg/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param) {
        return ybHcxxGgService.getList(param);
    }

}
